Welcome to the Debian package for SeqAn3

To use SeqAn3 in your own projects using cmake and "find_package (SeqAn3 REQUIRED)"
add CMAKE_PREFIX_PATH=/usr/share/cmake before invoking cmake, or adjust your "find_package"
like so:

   find_package (SeqAn3 REQUIRED
                 HINTS /usr/share/cmake)


NOTE: For GCC 10.2 (which is the current default for Debian Bullseye) one needs to use
`-std=c++17 -fconcepts` with Seqan 3.0.2.

NOTE: "seqan3/argument_parser/argument_parser.hpp" includes telemetry/phone-home
code that is **opt out** unless the application author passes an extra
constructor argument

   #include <seqan3/argument_parser/all.hpp>
   
   using namespace seqan3;
   
   int main(int argc, char ** argv)
   {
       argument_parser myparser{"Game-of-Parsing", argc, argv, false};
       // disable version checks permanently --------------------^
   }


Otherwise, users of applications that have this feature activated can opt-out,
by either:

  * disabling it for a specific application simply by setting the option `--version-check 0` or
  * disabling it for all applications by setting the `SEQAN3_NO_VERSION_CHECK` environment variable.

 -- Michael R. Crusoe  Mon, 3 Aug 2020 14:05:10 +0200
